Page MenuHomePhabricator

Show Nepalese ordered list digits as devanagari characters
Closed, ResolvedPublic

Description

List items don't use the digits into Devanagari in Nepali Wikipedia.

CSS should be amended to enable them, something already done for mr. and hi.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2016, 12:49 PM
biplabanand triaged this task as Normal priority.Nov 25 2016, 12:49 PM
Dereckson updated the task description. (Show Details)Dec 1 2016, 8:14 AM

Change 324675 had a related patch set uploaded (by Dereckson):
Translate digits into devanagari in Bengali

https://gerrit.wikimedia.org/r/324675

Please correct me if i am wrong @Dereckson

I think but not sure, The patch you had set for deploy is for Bengali Wikipedia. but I am looking for fix on Nepali Wikipedia (ne.wikipedia.org)

Change 324675 abandoned by Dereckson:
Translate digits into devanagari in Bengali

Reason:
We discussed on IRC for a request for Bengali, but these digits are for Nepalese.

https://gerrit.wikimedia.org/r/324675

Thanks to have noticed that.

So you confirm you wish the digits noted above are for ne.wikipedia and any other wiki in Nepalese, on Wikimedia or elsewhere?

Dereckson updated the task description. (Show Details)Dec 1 2016, 3:04 PM

Yes, the noted digits are for Nepali Wikipedia (ne.wikipedia.org)

only for Nepali Wikipedia or for any Nepali wiki?

For any Nepali Wiki @Dereckson.

Shouldn't this also include a localized radix mark? Or is point fine here?

The above description is ok to go without making any change.

Change 326138 had a related patch set uploaded (by Dereckson):
Localise digits in Nepali language

https://gerrit.wikimedia.org/r/326138

@biplabanand This digits array has already been in the file since 2007, introduced by r20904 / 7a4289397, per T11297.

Change 326138 abandoned by Dereckson:
Localise digits in Nepali language

Reason:
Code already contains these digits.

https://gerrit.wikimedia.org/r/326138

Hi @Dereckson,
I have talk about this task to one of mine friend, He suggest me to request you to do as follows:

mediawiki/core/resources/src/mediawiki.legacy/shared.css
ol:lang( hi ) li,
ol:lang( mr ) li {
  list-style-type: -moz-devanagari;
  list-style-type: devanagari;
}

to

ol:lang( hi ) li,
ol:lang( mr ) li,
ol:lang( ne ) li {
  list-style-type: -moz-devanagari;
  list-style-type: devanagari;
}

Thanks

Thanks for this solution.

@biplabanand Could you give the name of your friend, so we can credit them?

Dereckson renamed this task from Translate digits into devanagari in Nepali Wikipedia to Translate digits into devanagari in Nepali Wikipedia in list items.May 19 2017, 1:20 PM
Dereckson updated the task description. (Show Details)

Change 354475 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[mediawiki/core@master] Use devanagari digits for list items on ne.wikipedia

https://gerrit.wikimedia.org/r/354475

Thanks for this solution.
@biplabanand Could you give the name of your friend, so we can credit them?

Yes why not, he is @Sfic. Thanks

Change 354475 merged by jenkins-bot:
[mediawiki/core@master] Use Devanagari digits for list items on ne.wikipedia

https://gerrit.wikimedia.org/r/354475

Dereckson renamed this task from Translate digits into devanagari in Nepali Wikipedia in list items to Show Nepalese ordered list digits as devanagari characters.May 20 2017, 7:01 AM
Dereckson closed this task as Resolved.

@biplabanand Thanks. This will be live next Thursday on Wikipedia, Wednesday on other projects.

Change 354644 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[mediawiki/core@master] Add release notes for T151633

https://gerrit.wikimedia.org/r/354644

Change 354644 merged by jenkins-bot:
[mediawiki/core@master] Add release notes for T151633

https://gerrit.wikimedia.org/r/354644

biplabanand changed the task status from Duplicate to Resolved.Jun 4 2017, 10:07 AM